Templates
Sync Template Localizations
Queue AI translation for selected or all enabled template locales
POST
/
api
/
v1
/
templates
/
{templateId}
/
localizations
/
sync
Sync Template Localizations
curl --request POST \
--url https://api.sequenzy.com/api/v1/templates/{templateId}/localizations/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locales": [
{}
]
}
'import requests
url = "https://api.sequenzy.com/api/v1/templates/{templateId}/localizations/sync"
payload = { "locales": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({locales: [{}]})
};
fetch('https://api.sequenzy.com/api/v1/templates/{templateId}/localizations/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"templateId": "email_abc123",
"queuedLocales": ["es", "fr"],
"queuedVariantCount": 2
}
{
"error": "No supported non-primary locales are configured for this company."
}
{
"error": "Template not found"
}
Queue AI translation for selected enabled locales. Send an empty object to sync
every enabled non-primary locale. This explicit operation works even when the
company’s automatic on-save localization mode is disabled.
Request
Template ID, transactional email ID, or transactional slug.
Enabled non-primary locale codes to sync. Omit to sync every enabled
non-primary locale.
curl -X POST "https://api.sequenzy.com/api/v1/templates/email_abc123/localizations/sync" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"locales":["es","fr"]}'
Responses
{
"success": true,
"templateId": "email_abc123",
"queuedLocales": ["es", "fr"],
"queuedVariantCount": 2
}
{
"error": "No supported non-primary locales are configured for this company."
}
{
"error": "Template not found"
}
⌘I
Sync Template Localizations
